webentwicklung-frage-antwort-db.com.de

der vom Künstler übersetzte kompilierte Fehlercode 255

Beim Laufen von composer install auf meinem Laravel-Projekt bekomme ich den Fehler:

Skript-PHP-Bearbeiter, das das Ereignis post-install-cmd mit dem Fehlercode 255 zurückgegeben hat

Irgendwelche Ratschläge, was könnte das Problem sein? Hinweis Composer installiert alle Herstellerpakete. Die volle Leistung ist unten:

[user @ some_path] $ composer-Update
Composer-Repositorys mit Paketinformationen laden
Aktualisieren von Abhängigkeiten (einschließlich "required-dev")
Nichts zu installieren oder zu aktualisieren
Autoload-Dateien erzeugen
> PHP Handwerker übersichtlich kompiliert
Skript-PHP-Bearbeiter, das mit dem Fehlercode 255 zurückgegeben wurde, der mit dem Fehlercode 255 zurückgegeben wurde 

5
Jake M

Stellen Sie sicher, dass Ihr storage/ & bootstrap/cache-Verzeichnis schreibgeschützt ist.

Stellen Sie sicher, dass Ihre .env-Datei keine Leerzeichen enthält.

ZB: key=value istead of key=va lue

entfernen Sie die bootstrap/cache/config.php-Datei . und dann

composer dumpautoload
composer update

Versuchen Sie, /bootstrap/compiled.php zu entfernen (falls vorhanden)

6
Zoltán Jére

schritt 1 - Überprüfen Sie Ihre PHP-Version. Wenn Ihre Laravel alt ist, wird 7.x nicht unterstützt. In diesem Fall müssen Sie ( check this, wenn Sie mac verwenden) auf PHP 5.6 umstellen.

Schritt 2 - Entfernen Sie composer.lock und führen Sie composer install aus.

1
Serjas

Der Befehl löscht nur die bootstrap/cache/services.php-Datei, sofern vorhanden. Höchstwahrscheinlich ist die Datei vorhanden, aber die Berechtigungen sind nicht korrekt festgelegt, damit Sie sie löschen können.

0
patricus

ich habe die Lösung gefunden. Hier ist eine Liste der Erweiterungen, die dieses Problem verursachen.

extension=php_pdo_pgsql.dll
extension=php_pdo_sqlite.dll
extension=php_pgsql.dll
extension=php_pdo_mysql.dll

sie müssen alle diese Erweiterungen aus Ihrer php.ini auskommentieren

E:\wamp64\bin\php\php7.1.9\php.ini

Hinweis :: Sie müssen Ihre Datenbankanmeldeinformationen in Ihrer .env-Datei prüfen

0
Vishal

Ich gehe davon aus, dass das Problem aus mehreren Quellen stammen kann. In meinem Fall hatte ich einen Syntaxfehler in meiner config/app.php. Zu einer früheren Version zurückgekehrt und meine Bearbeitungen wurden wieder aufgenommen.

0
user3280979